;******************************************************************************
;*									      *
;*				Ycode Debugger				      *
;*				 Version 1.00				      *
;*			  (c) 1989   /YGP/			      *
;*									      *
;*									      *
;*		Processor:		MC6800 ( 601) 		      *
;*		Computer:		 601			      *
;*		Operating System:	UniDOS (R)			      *
;*									      *
;*		Language:		MC6800 Assembler		      *
;*									      *
;*      -     ,       *
;*     ,     symbol debugger.	      *
;*									      *
;*        ,     .	      *
;*         Globals.int    .   *
;*									      *
;*									      *
;******************************************************************************

                include \6800\interrupts.inc
                include \6800\UnDocumented.inc

		include \i\Globals.Y	; Global equates for interpreter
		include \i\BE00page.Y	; BF00page usage

		ORG	$100		; .cmd file

		jmp	StartUp

		include Globals.dbg	; Global debugger variables
		include MainSubs.dbg	; common used subroutines

Start		cli			;  StartUp.dbg  
		jsr	SetInterrupts
		lda	CFileHandle
		int	_CallYcode

		;        

		jmp	QuitDebugger

		include MainPart.dbg	; MainPart of Debugger
		include Trap.dbg	; Handle all interrupts
		include Screen.dbg	; Screen oriented routines
		include Print.dbg	; Print/Dump routines
		include DisYcode.dbg	; DisYcode
		include FinishUp.dbg	; Quit debugger

StartUp 	include StartUp.dbg	; Parse commands & initialize debugger
		include \i\RamCode.Y	;    
		END;	Debugger.